﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:gml="http://www.opengis.net/gml" 
                xmlns:txdp="http://www.transxml.net/schema/dp/0.3" 
                xmlns:txr="http://www.transxml.net/schema/ref/0.3" 
                xmlns:txl="http://www.transxml.net/schema/txl/0.3" 
                xmlns:c3d="Civil3D.QTO.Computation">
<!--This file define some common templates shared among the general html xsl reports.-->

  <xsl:variable name="styleText">
    <xsl:text>
          h1{text-align:center; color:black;font-family:monospace;font-size:12pt;font-weight:normal}

          body h1,h2,h3,h4,h5
          {
          text-align:center;
          } 
          table.takeoffReport
          {
          padding: 0;
          margin: 0;
          border-collapse: separate;
          border-width: 0;
          font-family:monospace;
          }
          table.takeoffReport caption
          {
          text-decoration:underline;
          }
          table.takeoffReport th
          {
          border-bottom: 1px solid black;
          text-align: left;
          font-weight: normal;
          padding-right: 20pt;
          }
          table.takeoffReport td
          {
          padding-right: 20pt;
          }
          #payItemBox {
          text-align:center;
          padding: 2px;
          margin: 0;
          border:0;
          overflow:auto;
          margin-bottom:50px;
          }
    </xsl:text>
  </xsl:variable>

  <!-- Defien variables for breakline -->
  <xsl:variable name="breakline" select="'&#10;'" />

  <xsl:template name="OutputTitle">
    <xsl:param name="titleText" />
    <h1>
    <div style="border-bottom:1px black solid;margin-right:auto;margin-left:auto;width:10px;white-space:nowrap;">
      <xsl:value-of select="$titleText"/>
    </div>
    </h1>

  </xsl:template>



</xsl:stylesheet>
